Package org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedGaugeMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.GaugeMethodBean
  - - org.eclipse.microprofile.metrics.tck.inheritance.InheritedGaugeMethodBean

    @ApplicationScoped
    public class InheritedGaugeMethodBean
    extends GaugeMethodBean

### Constructor Summary

Constructors
`InheritedGaugeMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getChildGauge()`
`void` `setChildGauge​(long childGauge)`

### Methods inherited from class org.eclipse.microprofile.metrics.tck.metrics.GaugeMethodBean

`getGauge, setGauge, setPrivateGauge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedGaugeMethodBean

    public InheritedGaugeMethodBean()

### Method Detail

#### getChildGauge

    public long getChildGauge()

#### setChildGauge

    public void setChildGauge​(long childGauge)